curl --request POST \
--url https://api-public.skipcall.app/v1/sequences \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "My Sales Sequence",
"assignedToIds": [
"123e4567-e89b-12d3-a456-426614174001",
"123e4567-e89b-12d3-a456-426614174002"
],
"creatorId": "123e4567-e89b-12d3-a456-426614174000",
"contactIds": [
"123e4567-e89b-12d3-a456-426614174010",
"123e4567-e89b-12d3-a456-426614174011"
]
}
'import requests
url = "https://api-public.skipcall.app/v1/sequences"
payload = {
"name": "My Sales Sequence",
"assignedToIds": ["123e4567-e89b-12d3-a456-426614174001", "123e4567-e89b-12d3-a456-426614174002"],
"creatorId": "123e4567-e89b-12d3-a456-426614174000",
"contactIds": ["123e4567-e89b-12d3-a456-426614174010", "123e4567-e89b-12d3-a456-426614174011"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'My Sales Sequence',
assignedToIds: ['123e4567-e89b-12d3-a456-426614174001', '123e4567-e89b-12d3-a456-426614174002'],
creatorId: '123e4567-e89b-12d3-a456-426614174000',
contactIds: ['123e4567-e89b-12d3-a456-426614174010', '123e4567-e89b-12d3-a456-426614174011']
})
};
fetch('https://api-public.skipcall.app/v1/sequences', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "My Sales Sequence",
"organizationMembershipId": "123e4567-e89b-12d3-a456-426614174001",
"createdAt": "2024-01-15T10:30:00.000Z",
"updatedAt": "2024-01-15T10:30:00.000Z",
"contactCount": 150,
"assignedTo": [
{
"organizationMembershipId": "123e4567-e89b-12d3-a456-426614174000",
"email": "john.doe@example.com",
"firstName": "John",
"lastName": "Doe"
}
]
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Invalid or revoked API key",
"status": 401
}
}{
"error": {
"code": "PLAN_NOT_ELIGIBLE",
"message": "API access requires INTERMÉDIAIRE or EXPERT plan",
"status": 403
}
}Create a sequence
Creates a new sequence. Use the /users endpoint to get organizationMembershipIds for assignedToIds and creatorId.
Authorizations
Enter your API Key (sk_live_xxx or sk_test_xxx)
Headers
Target workspace id (from GET /v1/workspaces). Required for multi-workspace API keys to designate which workspace to write to; omit for single-workspace keys, where it is resolved automatically. Must be within the API key scope.
Body
Sequence name
"My Sales Sequence"
OrganizationMembership IDs of users to assign this sequence to
[
"123e4567-e89b-12d3-a456-426614174001",
"123e4567-e89b-12d3-a456-426614174002"
]
OrganizationMembership ID of the creator. Use the /users endpoint to get available organizationMembershipIds.
"123e4567-e89b-12d3-a456-426614174000"
Contact IDs to add to the sequence
[
"123e4567-e89b-12d3-a456-426614174010",
"123e4567-e89b-12d3-a456-426614174011"
]
Response
Sequence created successfully
Unique identifier of the sequence
"123e4567-e89b-12d3-a456-426614174000"
Name of the sequence
"My Sales Sequence"
OrganizationMembership ID of the creator
"123e4567-e89b-12d3-a456-426614174001"
Date when the sequence was created
"2024-01-15T10:30:00.000Z"
Date when the sequence was last updated
"2024-01-15T10:30:00.000Z"
Number of contacts in the sequence
150
List of users assigned to this sequence
Show child attributes
Show child attributes